##############################################################################
# $Id: xdtv.spec.in,v 1.26 2006/01/27 20:38:14 pingus77 Exp $
##############################################################################
# Minimum required is: X11 & XPM & Xaw from X.org + Xterm
#
# Optional:
# To have a better GUI:
# neXtaw (0.15.1) from http://siag.nu/neXtaw/
# or XawM from http://sourceforge.net/projects/xawm/
# or Xaw95 & Xaw3d (not advised)
#
# To Record with a lot of audio/video codecs:
# FFMpeg (50.0.0+) from http://ffmpeg.sourceforge.net/ read README.ffmpeg for more infos
# Lame (3.96+)from http://lame.sourceforge.net/
# XviD (1.x+) from http://www.xvid.org/
# DivX (5.0.1alpha only) from http://www.divx.com/divx/linux/
# Ogg (1.1.2+) & Theora (1.0alpha5) & Vorbis (1.1.0+) from http://www.xiph.org/
#
# Other options:
# Zvbi (0.2.15+) from http://zapping.sourceforge.net/ (Scanning channels and get their names
# Alsa (1.x) from http://www.alsa-project.org/ (Better sound architecture than OSS)
# Lirc (0.7.x+) from http://www.lirc.org/ (If you have a remote and want to use it)
# libpng & libjpeg (For capturing AleVT & XdTV snapshots)
##############################################################################

#set_verify_elf_method textrel=relaxed

Name: xdtv
Summary: XdTV is a software to record & watch TV
Version: 2.4.0
Release: alt2.1
License: GPL
Url: http://xawdecode.sourceforge.net/
Packager: Hihin Ruslan <ruslandh@altlinux.ru>
Source0: %name-%version.tar.gz
Patch0: xdtv-2.4.0-alt2.1-alevt.patch
Patch1: xdtv-2.4.0.ffmpeg-record.patch

Group: Video

%def_disable optimization
%def_disable debug
#def_disable cpu-detection

# Defaults :
%def_enable mmc
%def_enable nls
%def_enable pixmaps
%def_enable xinerama

%def_enable nextaw
%def_enable xawm
%def_enable xaw95
%def_enable xaw3d
%def_enable ogg
%def_enable xvid
%def_enable ffmpeg
%def_enable ffmpeg_amrnb
%def_enable ffmpeg_amrnb_fixed
%def_enable ffmpeg_amrwb
%def_disable divx4linux
%def_enable lame
%def_enable dvb
%def_enable zvbi
%def_enable lirc
%def_enable alsa
%def_enable png
%def_enable jpeg
%def_enable faac
%def_enable mowitz
%def_enable xvtv
%def_enable x264

%define Name			XdTV
%define summary1		%name is a software to record & watch TV.
%define tvtuner_launcher	%_desktopdir

# Automatically added by buildreq on Mon Mar 27 2006
BuildRequires: libX11-devel  bdftopcf gcc-c++ imake libXv-devel libXxf86dga-devel
BuildRequires: libXxf86vm-devel mkfontdir xorg-cf-files xset

BuildPreReq: libX11-devel linux-libc-headers libXpm-devel libXaw-devel
BuildPreReq: autoconf automake

Requires: xorg-x11-libs
Requires: libXpm libXaw libalevt

%if_enabled nextaw
BuildPreReq: libneXtaw-devel
Requires: libneXtaw
%endif

%if_enabled xawm
BuildPreReq: libXawM1-devel
Requires: libXawM1
%endif

%if_enabled xaw95
BuildPreReq: libXaw95-devel
Requires: libXaw95
%endif

%if_enabled x264
BuildPreReq: libx264-devel
Requires: libx264
%endif

%if_enabled xaw3d
BuildPreReq: libXaw3d-devel
Requires: libXaw3d
%endif

%if_enabled xinerama
BuildPreReq: libXinerama-devel
Requires: libXinerama
%endif

%if_enabled ogg
BuildPreReq: libogg-devel libtheora-devel libvorbis-devel
Requires: libogg libtheora libvorbis
%endif

%if_enabled xvid
BuildPreReq: libxvid-devel
Requires: libxvid
%endif

%if_enabled ffmpeg
BuildPreReq: libffmpeg-devel
Requires: libffmpeg
%endif

%if_enabled divx
BuildPreReq: libavifile-devel
Requires:    libavifile
%endif

%if_enabled lame
BuildPreReq: liblame-devel
Requires: liblame
%endif

%if_enabled dvb
BuildPreReq: libdvbpsi-devel
Requires: libdvbpsi
%endif

%if_enabled zvbi
BuildPreReq: libzvbi-devel
Requires: libzvbi
%endif

%if_enabled lirc
BuildPreReq: liblirc-devel
Requires: liblirc
%endif

%if_enabled alsa
BuildPreReq: libalsa-devel
Requires: libalsa
%endif

%if_enabled png
BuildPreReq: libpng-devel
Requires: libpng
%endif

%if_enabled jpeg
BuildPreReq: libjpeg-devel
Requires: libjpeg
%endif

%if_enabled faac
BuildPreReq: libfaac-devel
Requires: libfaac
%endif

%description
XdTV is a software that allows you to to record & watch TV.
It interacts with Nxtvepg for NextView,
and uses the video4linux API. It can use some deinterlacing filters
and can record video files in various containers (AVI, MPEG, OGG, etc.)
with many codecs (FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis and DivX4/5).
For AleVT for Teletext install libalevt
It has also some plugin capabilities.

%description -l ru_RU.CP1251
XdTV (�������X11 ����� � xawtv) � �� � �����TV.  �����������AleVT � Teletext ��Nxtvepg � NextView,
����� video4linux API.  ��������� ��������� ������ ������ ���� FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.  ��� �������
����� ����. � ������ ����� ����� ����� 
���libalevt

%description -l ru_RU.CP1251
XdTV (  X11   xawtv)    
TV.     AleVT  Teletext   Nxtvepg  NextView,
 video4linux API.      
    : FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.    
 .      
 libalevt

%description -l ru_RU.KOI8-R
XdTV (  X11   xawtv)    
TV.     AleVT  Teletext   Nxtvepg  NextView,
 video4linux API.      
    : FFMpeg(>=0.4.6), XviD(0.9 & 1.x),
Ogg Theora (>=1.0alpha5) & Vorbis, DivX4/5.    
 .     
 libalevt.

%package -n libalevt
Summary: Developpement files for XdTV
Group: Development/C
Requires: %name = %version

%package -n libalevt-devel
Summary: Developpement files for XdTV
Group: Development/C
Requires: %name = %version

%description -n libalevt
Teletext decoder and browser for the bttv driver.

%description -n libalevt-devel
Headers and tool for development with libalevt.

%description -n libalevt -l ru_RU.UTF8
X11 библиотка для декодирования телетекста.

%description -n libalevt -l ru_RU.cp1251
X11    .

%package OSD-font
Summary: Font used by XdTV OSD function
Group: Video
Requires: %name = %version

%description OSD-font
Font used by XdTV OSD function.

%prep
%setup -n %name-%version -q
%patch0 -p1
%patch1 -p0

%build
%__autoreconf

export FLAGS="%optflags -DNDEBUG -DNO_DEBUG -D_GNU_SOURCE "
%configure \
%if_enabled optimization
	--enable-cpu-detection \
%else
	--disable-cpu-detection \
%endif
	--with-external-ffmpeg	\
	--with-gnu-ld  \
	--with-pic   \
	--with-x   \
        --enable-smallfont \
	--disable-x11-ext-checking \
        --disable-mmx  \
        --with-fontdir=%buildroot%_x11fontsdir/%name \
	--with-appdefaultsdir=%_x11appconfdir \
	%{subst_enable mmc} \
	%{subst_enable nls} \
	%{subst_enable pixmaps} \
	%{subst_enable debug} \
	%{subst_enable xinerama} \
	%{subst_enable ogg} \
	%{subst_enable x264} \
	%{subst_enable xvtv} \
	%{subst_enable divx} \
	%{subst_enable xvid} \
	%{subst_enable ffmpeg} \
	%{subst_enable lame} \
	%{subst_enable zvbi} \
	%{subst_enable lirc} \
	%{subst_enable dvb} \
	%{subst_enable alsa} \
	%{subst_enable jpeg} \
	%{subst_enable png} \
	%{subst_enable nextaw} \
	%{subst_enable xawm} \
	%{subst_enable faac} \
	%{subst_enable xaw95} \
	%{subst_enable xaw3d} \
	%{subst_enable mowitz} \
%if_enabled ffmpeg_amrnb
	--enable-ffmpeg-amrnb \
%else
	--disable-ffmpeg-amrnb \
%endif
%if_enabled  ffmpeg_amrnb_fixed
	--enable-ffmpeg-amrnb-fixed \
%else
	--disable-ffmpeg-amrnb-fixed \
%endif
%if_enabled ffmpeg_amrwb
	--enable-ffmpeg-amrwb \
%else
	--disable-ffmpeg-amrwb
%endif

export ROOT=%buildroot/usr
%make_build

%install
%makeinstall ROOT=%buildroot \
	     SUID_ROOT="" \
	     libdir=%buildroot/%_libdir \

# Cure man path if needed
install -d -m 755 %buildroot%_includedir/libalevt
install -m 644 alevt/*.h %buildroot%_includedir/libalevt
install -d -m 755 %buildroot%_man1dir
install -m 644 man/%name.1 %buildroot%_man1dir
install -m 644 man/%{name}_cmd.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-cap.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt-date.1 %buildroot%_man1dir
install -m 644 man/%{name}_alevt.1 %buildroot%_man1dir

# Dynamic desktop support
mkdir -p %buildroot/%tvtuner_launcher
cat > %buildroot/%tvtuner_launcher/%name.desktop << EOF
[Desktop Entry]
Name=%name \$basename
Comment=%name is a software to record & watch TV.
Categories=Multimedia;WatchTV;
TryExec=%_bindir/%name
Exec=%_bindir/%name
Terminal=false
Icon=%name.png
Type=Application
EOF

cat > %buildroot/%tvtuner_launcher/%{name}_wizard.desktop << EOF
[Desktop Entry]
Name=%{name}_wizard"
Comment=%name is a software to record & watch TV.
Categories=Multimedia;WatchTV;
TryExec=%_bindir/%{name}_wizard"
Exec=%_bindir/%{name}_wizard"
Terminal=true
Icon=%name.png
Type=Application
EOF

# menu
install -pD -m 644 %name-16.png %buildroot/%_miconsdir/%name.png
install -pD -m 644 %name-32.png %buildroot/%_iconsdir/%name.png
install -pD -m 644 %name-48.png %buildroot/%_liconsdir/%name.png

%files
%doc AUTHORS COPYING INSTALL FAQfr-xdtv TODO
%doc README README.dvb README.record README.bs README.ffmpeg README.streaming
%doc README.bsd README.gentoo README.xvid README.buildme README.lirc
%doc README.deinterlace README.plugins ChangeLog lisez-moi xdtvrc.sample
%doc lircrc.miro.sample lircrc.hauppauge.sample lircrc.animax.sample
%doc lircrc.WinfastTV2000.sample

%dir %_sysconfdir/%name
%_sysconfdir/%name/%{name}_wizard-en.conf
%_sysconfdir/%name/%{name}_wizard-en-UTF8.conf
%_bindir/%name
%_bindir/%{name}_cmd
%_bindir/%{name}_wizard
%_bindir/%{name}_scantv
%_bindir/%{name}_alevt-cap
%_bindir/%{name}_alevt-capall
%_bindir/%{name}_alevt-date
%_bindir/%{name}_v4l-conf
%_bindir/%{name}_scan.sh
%_bindir/%{name}_record.sh
%_bindir/%{name}_makedvd.sh
%_man1dir/*
%_datadir/%name/icons/*
%_x11appconfdir/*

#_menudir/%name
#_menudir/%{name}_wizard
%_iconsdir/%name.png
%_miconsdir/%name.png
%_liconsdir/%name.png
%_desktopdir/*.desktop

%files -n libalevt
%_libdir/*
%exclude  %_libdir/*.so
#exclude  %_libdir/libalevt.la
#exclude  %_libdir/libalevt.a

%files -n libalevt-devel
%_includedir/*
%_libdir/*.so

%files OSD-font
%dir %_x11fontsdir/xdtv
%_x11fontsdir/xdtv/*

%post -n libalevt
%post_ldconfig

%postun -n libalevt 
%postun_ldconfig

%post OSD-font
%_sbindir/chkfontpath -q --add %_x11fontsdir/%name ||:

%postun OSD-font
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %_x11fontsdir/%name ||:
fi

%changelog
* Sun Mar 11 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2.1
- correct xdtv-2.4.0-alevt.patch

* Sun Feb 25 2007 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt2
- new version
- add dynamic libalevt.so
- patch ffmpeg-record from Alexey V. Novikov
- add key  --with-external-ffmpeg
- correct spec

* Sat Sep 23 2006 Hihin Ruslan <ruslandh@altlinux.ru> 2.4.0-alt1.pre0
- first version for ALT-Linux

* Sat Jul 22 2006 Hihin Ruslan <hihin_c@t_narod_dot_ru> 2.4.0pre0-alt1a
- add menu and desktop

* Wed Jul 19 2006 Sergei Epiphanov <serpiph@altlinux.ru> 2.4.0pre0-alt1
- Updated version to 2.4.0pre0
- Cleanup spec

* Thu Dec 22 2005 Sir Pingus <pingus_77@yahoo.fr> 2.3.0-1mdk
- 2.3.0
- review all the spec: now -with / without can be use with rpmbuild
